For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
DocsReferenceChangelog
DocsReferenceChangelog
  • Introduction
    • Overview
    • Errors
  • SDK
    • Overview
    • Decorators
    • Run Evaluation
  • API
      • POSTLog to a Flow
      • PATCHUpdate Flow Log
      • GETGet Flow
      • DELDelete Flow
      • PATCHMove Flow
      • GETList Flows
      • POSTUpsert Flow
      • GETList Versions of a Flow
      • DELDelete Flow Version
      • PATCHUpdate Flow Version
      • POSTDeploy Flow
      • DELRemove Deployment
      • GETList a Flow's Environments
      • POSTUpdate Monitoring
LogoLogo
Sign inBook a demo
APIFlows

Move Flow

PATCH
https://api.humanloop.com/v5/flows/:id
PATCH
/v5/flows/:id
$curl -X PATCH https://api.humanloop.com/v5/flows/fl_6o701g4jmcanPVHxdqD0O \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "path": "new directory/new name"
>}'
1{
2 "path": "Personal Projects/MedQA",
3 "id": "fl_6o701g4jmcanPVHxdqD0O",
4 "attributes": {
5 "prompt": {
6 "template": "You are a helpful assistant helping with medical anamnesis",
7 "model": "gpt-4o",
8 "temperature": 0.8
9 },
10 "tool": {
11 "name": "retrieval_tool_v3",
12 "description": "Retrieval tool for MedQA.",
13 "source_code": "def retrieval_tool(question: str) -> str:\n pass\n"
14 }
15 },
16 "name": "MedQA Flow",
17 "version_id": "flv_7ZNQREaScH0JkhUwtXrLN",
18 "created_at": "2024-07-08T22:40:35.656915",
19 "updated_at": "2024-07-08T22:40:35.656915",
20 "last_used_at": "2024-07-08T22:40:35.656915",
21 "version_logs_count": 0,
22 "version_name": "medqa-flow-v1",
23 "version_description": "Initial version",
24 "type": "flow",
25 "environments": [
26 {
27 "id": "env_ffSVxEBzJcBZ1H5jcNMVj",
28 "created_at": "2023-06-27T23:16:07.992339",
29 "name": "development",
30 "tag": "default"
31 }
32 ],
33 "created_by": {
34 "id": "usr_01RJO1k2spBVqNUt1ASef",
35 "email_address": "raza@humanloop.com",
36 "full_name": "Raza Habib"
37 },
38 "evaluator_aggregates": null
39}
Move the Flow to a different path or change the name.
Was this page helpful?
Previous

List Flows

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

idstringRequired
Unique identifier for Flow.

Request

This endpoint expects an object.
pathstringOptional
Path of the Flow including the Flow name, which is used as a unique identifier.
namestringOptional
Name of the Flow.
directory_idstringOptional

Unique identifier for the Directory to move Flow to. Starts with dir_.

Response

Successful Response
pathstring
Path of the Flow, including the name, which is used as a unique identifier.
idstring
Unique identifier for the Flow.
attributesmap from strings to any

A key-value object identifying the Flow Version.

namestring
Name of the Flow.
version_idstring
Unique identifier for the specific Flow Version. If no query params provided, the default deployed Flow Version is returned.
created_atdatetime
updated_atdatetime
last_used_atdatetime
version_logs_countinteger
The number of logs that have been generated for this Flow Version
directory_idstring
ID of the directory that the file is in on Humanloop.
version_namestring
Unique name for the Flow version. Version names must be unique for a given Flow.
version_descriptionstring
Description of the Version.
descriptionstring
Description of the Flow.
schemamap from strings to any
The JSON schema for the File.
readmestring
Long description of the file.
tagslist of strings
List of tags associated with the file.
type"flow"
environmentslist of objects
The list of environments the Flow Version is deployed to.
created_byany
The user who created the Flow.
evaluator_aggregateslist of objects
Aggregation of Evaluator results for the Flow Version.
evaluatorslist of objects
The list of Monitoring Evaluators associated with the Flow Version.

Errors

422
Move Flows ID Patch Request Unprocessable Entity Error